Page MenuHomePhabricator

Replace uses of MIUtilParse::CRegexParser with llvm::Regex
ClosedPublic

Authored by mgorny on Aug 25 2016, 10:32 AM.

Details

Summary

Replace uses of the local MIUtilParse::CRegexParser class with the LLVM support class llvm::Regex. This reduces duplication of code, and makes it possible to remove the MIUtilParse::CRegexParser class that requires LLVM internal implementation headers.

Bug: https://llvm.org/bugs/show_bug.cgi?id=29138

Note: I don't have commit access

Diff Detail

Event Timeline

mgorny updated this revision to Diff 69267.Aug 25 2016, 10:32 AM
mgorny retitled this revision from to Replace uses of MIUtilParse::CRegexParser with llvm::Regex.
mgorny updated this object.
mgorny added a reviewer: dawn.
mgorny added a subscriber: lldb-commits.
labath added a subscriber: labath.

Woohoo. I am glad that this is finally getting fixed.

ki.stfu accepted this revision.Aug 29 2016, 4:05 AM
ki.stfu edited edge metadata.

lgtm if tests are passed

This revision is now accepted and ready to land.Aug 29 2016, 4:05 AM
mgorny added a comment.Sep 2 2016, 2:09 PM

lgtm if tests are passed

I can't say tests pass for me right now, but the results (failures, errors and unexpected passes) are the same with and without the patch.

labath added a comment.Sep 5 2016, 4:49 AM

Tests run clean when I apply this locally. Do you want me to put that in for you?

mgorny added a comment.Sep 5 2016, 5:17 AM

Tests run clean when I apply this locally. Do you want me to put that in for you?

I'd appreciate that. Thanks a lot!

labath closed this revision.Sep 5 2016, 8:24 AM

r280662